package com.miaxis.app.controller.common;

import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.QuestionInfoDTO;
import com.miaxis.question.dto.QuestionInfoFlDTO;
import com.miaxis.question.dto.QuestionInfoTestDTO;
import com.miaxis.question.service.IQuestionInfoService;
import com.miaxis.question.vo.QuestionInfoDfVO;
import com.miaxis.question.vo.QuestionInfoFlVO;
import com.miaxis.question.vo.QuestionInfoJxVO;
import com.miaxis.question.vo.QuestionInfoSxVO;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 【题库】Controller
 *
 * @author miaxis
 * @date 2021-10-20
 */
@RestController
@RequestMapping(Constants.OPEN_PREFIX+"/question/info")
@Api(tags={"【通用-题库】"})
public class CommonQuestionInfoController extends BaseController{
    @Autowired
    private IQuestionInfoService questionInfoService;

    /**
     * 查询模拟考试题库
     */
    @GetMapping("/selectTestQuestionInfo")
    @ApiOperation("查询模拟考试题库")
    public ResponsePageInfo<QuestionInfo> selectTestQuestionInfo(@ModelAttribute QuestionInfoTestDTO questionInfoTestDTO){
        List<QuestionInfo> list = questionInfoService.selectTestQuestionInfo(questionInfoTestDTO);
        return toResponsePageInfo(list);
    }
}

